=== modified file 'doc/centralized_workflow.txt'
--- doc/centralized_workflow.txt	2007-02-27 22:14:14 +0000
+++ doc/centralized_workflow.txt	2007-03-02 12:40:45 +0000
@@ -56,11 +56,11 @@
 needs so that you do not need to copy around all of this history
 information whenever you create a new branch.
 
-The best way to do this is to create a `Shared Repository`_. In general,
-branches will share their storage if they exist in a subdirectory of a
-`Shared Repository`_.  So let's setup a `Shared Repository`_ in our home
-directory, thus all branches we create underneath will share their history
-storage.
+The best way to do this is to create a `Shared Repository`_. In
+general, branches will share their storage if they exist in a
+subdirectory of a `Shared Repository`_.  So let's set up a `Shared
+Repository`_ in our home directory, thus all branches we create
+underneath will share their history storage.
 
 ::
 
@@ -88,18 +88,18 @@
 
 You can think of this step as similar to setting up a new cvsroot, or
 subversion repository.  The {{{--no-trees}}} option tells bzr to not
-populate the directory with a working tree.  This is appropriate since
-no one will be making changes directly in the branches within the
-central repository.
-
-
-Placing an existing project into Bazaar
+populate the directory with a working tree.  This is appropriate,
+since no one will be making changes directly in the branches within
+the central repository.
+
+
+Migrating an existing project to Bazaar
 =======================================
 
 Now that we have a repository, let's create a versioned project. Most of
 the time, you will already have some code that you are working with,
 that you now want to version using Bazaar_. If the code was originally
-in source control there are many ways to convert the project to Bazaar_
+in source control, there are many ways to convert the project to Bazaar_
 without losing any history. However, this is outside the scope of this
 document. See `Tracking Upstream`_ for some possibilities (section
 "Converting and keeping history").
@@ -144,16 +144,16 @@
   % bzr commit -m "Initial import of Sigil"
 
 
-In the previous section, we created an empty branch (the ``/sigil`` branch)
-on ``centralhost``, and then checkout out this empty branch onto our
-workstation to add files from our existing project.
-There are many ways to setup your working directory, but the steps above
+In the previous section, we created an empty branch (the ``/sigil``
+branch) on ``centralhost``, and then checkout out this empty branch
+onto our workstation to add files from our existing project.  There
+are many ways to set up your working directory, but the steps above
 make it easy to handle working with feature/bugfix branches. And one
 of the strong points of Bazaar_ is how well it works with branches.
 
 At this point, because you have a 'checkout' of the remote branch, any
-commits you make in ``~/work/sigil/dev/`` will automatically be saved both locally,
-and on ``centralhost``.
+commits you make in ``~/work/sigil/dev/`` will automatically be saved
+both locally, and on ``centralhost``.
 
 
 Developer N: Getting a working copy of the project
@@ -298,17 +298,18 @@
 -----------------
 
 Bazaar_ has the concept of a "Shared Repository". This is similar to
-the concept of a repository in other RCSs. For example, in Subversion
-you have a remote repository, which is where all of the history is
-stored, and locally you don't have any history information, only a
-checkout of the working tree files. Note that "Shared" in this context
-means shared between branches. It *may* be shared between people, but
-standalone branches can also be shared between people.
+the traditional concept of a repository in other RCSs like CVS and
+Subversion. For example, in Subversion you have a remote repository,
+which is where all of the history is stored, and locally you don't
+have any history information, only a checkout of the working tree
+files. Note that "Shared" in this context means shared between
+branches. It *may* be shared between people, but standalone branches
+can also be shared between people.
 
 In Bazaar_ terms, a "Shared Repository" is a location where multiple
 branches can **share** their revision history information. In order to
 support decentralized workflows, it is possible for every branch to
-maintain its own revision history information. But this is often
+store its own revision history information. But this is often
 inefficient, since related branches share history, and they might as
 well share the storage as well.
 

=== modified file 'doc/configuration.txt'
--- doc/configuration.txt	2007-02-27 22:14:14 +0000
+++ doc/configuration.txt	2007-03-02 12:40:45 +0000
@@ -25,18 +25,18 @@
 Section Headers
 ---------------
 A section header is a word enclosed in brackets that starts at the begining
-of a line.  A typical section headers look like this::
+of a line.  A typical section header looks like this::
 
     [DEFAULT]
 
-The only valid section header for bazaar.conf is [DEFAULT], which is case
-sensitive. The default section provides for setting variables which can be
-overridden with the branch config file.
+The only valid section header for bazaar.conf is [DEFAULT], which is
+case sensitive. The default section provides for setting variables
+which can be overridden with the branch config file.
 
-For ``locations.conf``, the variables from the section with the longest matching
-section header are used to the exclusion of other potentially valid section
-headers. A section header uses the path for the branch as the section
-header. Some examples include::
+For ``locations.conf``, the variables from the section with the
+longest matching section header are used to the exclusion of other
+potentially valid section headers. A section header uses the path for
+the branch as the section header. Some examples include::
 
     [http://mybranches.isp.com/~jdoe/branchdir]
     [/home/jdoe/branches/]
@@ -89,7 +89,7 @@
 The main configuration file, ``$HOME/.bazaar/bazaar.conf``, only allows one
 section called ``[DEFAULT]``. This default section contains the default
 configuration options for all branches. The default section can be
-overriden by providing a branch specific section in ``locations.conf``.
+overriden by providing a branch-specific section in ``locations.conf``.
 
 A typical ``bazaar.conf`` section often looks like the following::
 
@@ -158,15 +158,16 @@
     signed revisions.
 
 never
-    Refuse to sign newly committed revisions, even if the branch requires signatures.
+    Refuse to sign newly committed revisions, even if the branch
+    requires signatures.
 
 recurse
 -------
-Only useful in ``locations.conf``. Defines whether or not the configuration for
-this section applies to subdirectories:
+Only useful in ``locations.conf``. Defines whether or not the
+configuration for this section applies to subdirectories:
 
 true
-    (default) This section applies to subdirectories.
+    (default) This section applies to subdirectories as well.
 
 false
     This section only applies to the branch at this directory and not
@@ -189,7 +190,7 @@
 
 append_revisions_only
 ---------------------
-If set to "true" then revisions can only be appended to the log, not
+If set to "True" then revisions can only be appended to the log, not
 removed.  A branch with this setting enabled can only pull from
 another branch if the other branch's log is a longer version of its
 own.  This is normally set by ``bzr init --append-revisions-only``.

=== modified file 'doc/http_smart_server.txt'
--- doc/http_smart_server.txt	2006-12-18 15:42:15 +0000
+++ doc/http_smart_server.txt	2007-03-02 12:40:45 +0000
@@ -5,8 +5,8 @@
 **This feature is EXPERIMENTAL and is NOT SECURE.  It will allow access to
 arbitrary files on your server.**
 
-This document describes one way to setup a Bazaar HTTP smart server, using
-Apache 2.0 and FastCGI or mod_python.
+This document describes one way to set up a Bazaar HTTP smart server,
+using Apache 2.0 and FastCGI or mod_python.
 
 Example
 =======

=== modified file 'doc/index.txt'
--- doc/index.txt	2006-10-05 10:23:20 +0000
+++ doc/index.txt	2007-03-02 12:40:45 +0000
@@ -41,7 +41,7 @@
 * `Using aliases <using_aliases.htm>`_
   (wiki page: http://bazaar-vcs.org/CommandAliases)
 
-    How to setup and use command aliases.
+    How to set up and use command aliases.
 
 * `Running a Bazaar server <server.htm>`_
   

=== modified file 'doc/plugins.txt'
--- doc/plugins.txt	2007-02-27 22:14:14 +0000
+++ doc/plugins.txt	2007-03-02 12:40:45 +0000
@@ -14,7 +14,7 @@
 official codebase. Plugins can do a variety of things, including
 overriding commands, adding new commands, providing additional network
 transports, or customizing log output. The sky is the limit for the
-customizations that can be done through plugins.
+customization that can be done through plugins.
 
 Where to find Plugins 
 =====================

=== modified file 'doc/server.txt'
--- doc/server.txt	2007-02-27 22:14:14 +0000
+++ doc/server.txt	2007-03-02 12:40:45 +0000
@@ -18,20 +18,21 @@
 
 Bazaar supports writing over FTP, SFTP and via a plugin over HTTP-WebDAV.
 
-High performance server
+High-performance server
 =======================
 
 **In development**
 
-The high performance server is currently in development.  The version of Bazaar
+The high-performance server is currently in development.  The version of Bazaar
 that accompanies this documentation is able to use the servers underlying
-protocol as a dumb server.  This is the first stage high performance server
+protocol as a dumb server.  This is the first stage high-performance server
 functionality to be delivered.
 
-The current high performance server provides read-only access by
-default for security. To enable read-write access, run it with
-``--allow-writes``. When using the SSH access method, bzr
-automatically runs with with the ``--allow-writes`` option.
+To maintain the highest security possible, the current
+high-performance server provides read-only access by default.  To
+enable read-write access, run it with ``--allow-writes``. When using
+the SSH access method, bzr automatically runs with with the
+``--allow-writes`` option.
 
 The server can be configured to run in three different ways:
 
@@ -42,13 +43,13 @@
 
     BZR_REMOTE_PATH=~/bin/bzr bzr log bzr+ssh://host/path/to/branch
 
-The ``BZR_REMOTE_PATH`` environment variable adjusts how `bzr` will be invoked on
-the remote system.  By default, just `bzr` will be invoked, which requires the
-`bzr` executable to be on the default search path.
+The ``BZR_REMOTE_PATH`` environment variable adjusts how `bzr` will be
+invoked on the remote system.  By default, just `bzr` will be invoked,
+which requires the `bzr` executable to be on the default search path.
 
-The ``bzr+ssh://`` URL scheme only supports absolute paths from the root of the
-filesystem.  Future versions are expected to support ``~`` in the same way as
-``sftp://`` URLs.
+The ``bzr+ssh://`` URL scheme only supports absolute paths from the
+root of the filesystem.  Future versions are expected to support ``~``
+in the same way as ``sftp://`` URLs.
 
 inetd
 -----
@@ -69,9 +70,9 @@
 Dedicated
 ---------
 
-This mode has the same path and URL behaviour as the inetd mode.  To run as a
-specific user, you should use ``su`` or login as that user.  This example runs ``bzr
-serve`` on `localhost` port `1234`.
+This mode has the same path and URL behaviour as the inetd mode.  To
+run as a specific user, you should use ``su`` or login as that user.
+This example runs ``bzr serve`` on `localhost` port `1234`.
 
 server::
 

=== modified file 'doc/setting_up_email.txt'
--- doc/setting_up_email.txt	2007-02-27 22:14:14 +0000
+++ doc/setting_up_email.txt	2007-03-02 12:40:45 +0000
@@ -14,15 +14,19 @@
 the email address in a revision gives others a way to contact the
 author of a revision for credit and/or blame.  :)
 
-How to setup your email address 
-===============================
+How to set up your email address 
+================================
 Bazaar will try to guess an email address based on your username and the
 hostname if none is set.  This will probably not be what you want, so three
 ways exist to tell Bazaar what email to use:
 
- * You can set your email in the default configuration file,
- * You can set emails per-branch in the branch specific ini file,
- * Or your email can be set by an environmental variable.
+You can set your email in one of several configuration files.  Like
+other configuration values, you can set it in ``bazaar.conf`` as a
+general setting.  If you want to override the value for a particular
+branch, or set of branches, you can use ``locations.conf``.
+``.bzr/branch/branch.conf`` will also work, but will cause all commits
+to that branch to use the same email address, even if someone else
+does them.
 
 The order of precedence is
 
@@ -58,7 +62,8 @@
 To use the default ini file, create the file ``$HOME/.bazaar/bazaar.conf`` (on
 Windows this is ``%APPDATA%\bazaar\2.0\bazaar.conf``) and set an email address
 as shown below.  Please note that the word DEFAULT is case sensitive, and
-must be in upper-case. ::
+must be in upper-case.
+::
 
     [DEFAULT]
     email=Your Name <name@isp.com>
@@ -69,8 +74,9 @@
 Setting email on a per-branch basis
 ===================================
 
-The second approach is to set email on a branch by branch basis by using the
-``$HOME/.bazaar/locations.conf`` ini file, thusly::
+The second approach is to set email on a branch by branch basis by
+using the ``$HOME/.bazaar/locations.conf`` configuration file,
+thusly::
 
     [/some/branch/location]
     email=Your Name <name@other-isp.com>
@@ -80,13 +86,13 @@
 
 Setting email via environment variable
 --------------------------------------
-The final method Bazaar will use is checking for the ``$BZR_EMAIL`` and
-``$EMAIL`` environment variables.  Generally, one would use this method to
-override the email in a script context.  If you would like to set a general
-default, then please see the ini methods above.
+The final method Bazaar will use is checking for the ``$BZR_EMAIL``
+and ``$EMAIL`` environment variables.  Generally, you would use this
+method to override the email in a script context.  If you would like
+to set a general default, then please see the ini methods above.
 
-Concerns for spam
-=================
+Concerns about spam
+==============--===
 Some people want to avoid sharing their email address so as not to get
 spam.  Bazaar will never disclose your email address, unless you publish
 a branch or changeset in a public location.  It's recommended that you

=== modified file 'doc/specifying_revisions.txt'
--- doc/specifying_revisions.txt	2007-02-27 22:14:14 +0000
+++ doc/specifying_revisions.txt	2007-03-02 12:40:45 +0000
@@ -23,7 +23,7 @@
     $ bzr log -r ..4
 
 Note:
-    Omitting the lower bound doesn't work on currently released versions.
+    Omitting the lower bound doesn't work on versions of ``bzr`` prior to 0.14.
 
 Other commands, like ``bzr cat`` take only one revision, not a range, like::
 
@@ -82,8 +82,8 @@
 revid
 -----
 
-**revid** allows specifying a an internal revision ID, as show by ``bzr
-testament`` and some other commands.
+**revid** allows specifying a an internal revision ID, as shown by ``bzr
+log`` and some other commands.
 
 For example::
 

=== modified file 'doc/tutorial.txt'
--- doc/tutorial.txt	2007-02-16 17:10:28 +0000
+++ doc/tutorial.txt	2007-03-02 12:40:45 +0000
@@ -91,10 +91,10 @@
 
 Revision control software such as Bazaar can do much more than just
 storage and performing undo.  For example, with Bazaar a developer can
-take the modifications in one branch of software and apply them to
-another related branch -- even if those changes exist in a branch owned
-by somebody else. This allows developers to cooperate without giving write
-access to the repository.
+take the modifications in one branch of software and apply them to a
+related branch -- even if those changes exist in a branch owned by
+somebody else. This allows developers to cooperate without giving
+write access to the repository.
 
 Bazaar remembers the ''ancestry'' of a revision: the previous revisions
 that it is based upon.  A single revision may have more than one direct
@@ -158,7 +158,7 @@
 History is by default stored in the .bzr directory of the branch. In a
 future version of Bazaar, there will be a facility to store it in a
 separate repository, which may be remote.  We create a new branch by
-running **bzr init** in an existing directory::
+running ``bzr init`` in an existing directory::
 
     % mkdir tutorial
     % cd tutorial
@@ -202,12 +202,13 @@
 
 You'll usually refer to branches on your computer's filesystem just by
 giving the name of the directory containing the branch.  bzr also supports
-accessing branches over http, for example::
+accessing branches over http and sftp, for example::
 
     % bzr log http://bazaar-vcs.org/bzr/bzr.dev/
+    % bzr log sftp://bazaar-vcs.org/bzr/bzr.dev/
 
-By installing bzr plugins you can also access branches using the sftp or
-rsync protocols.
+By installing bzr plugins you can also access branches using the rsync
+protocol.
 
 Reviewing changes
 =================
@@ -504,17 +505,16 @@
 ".THIS" and the filename with the changes from the other tree is
 appended with ".OTHER".  Using a program such as kdiff3, you can now
 comfortably merge them into one file.  In order to commit you have to
-rename the merged file (".THIS") to the original file name and delete
-the other two temporary files (".BASE" and ".OTHER"). As long as there
+rename the merged file (".THIS") to the original file name.  To
+complete the conflict resolution you must use the resolve command,
+which will remove the ".OTHER" and ".BASE" files.  As long as there
 exist files with .BASE, .THIS or .OTHER the commit command will
-complain.  To complete the conflict resolution you must use the
-resolve command.
+report an error.
 
 ::
 
   % kdiff3 file.BASE file.OTHER file.THIS
   % mv file.THIS file
-  % rm file.BASE file.OTHER
   % bzr resolve file
 
 [**TODO**: explain conflict markers within files]
@@ -528,13 +528,14 @@
 directory.  One can push a branch (or the changes for a branch) by one of
 the following three methods:
 
-* Rsync:   rsync -avrz LOCALBRANCH  servername.com/this/directory/here
+* Rsync:   rsync -avrz LOCALBRANCH  servername.com/path/to/directory
 
   (or any other tool for publishing a directory to a web site.)
 
-* bzr push sftp://servername.com/this/directory/here 
+* bzr push sftp://servername.com/path/to/directory 
 
-  (The destination directory must already exist)
+  (The destination directory must already exist unless the
+  ``--create-prefix`` option is used.)
 
 * The rspush plugin that comes with BzrTools
 

=== modified file 'doc/using_aliases.txt'
--- doc/using_aliases.txt	2007-02-27 22:14:14 +0000
+++ doc/using_aliases.txt	2007-03-02 12:40:45 +0000
@@ -42,9 +42,13 @@
 Rules for Aliases
 =================
 
- * You can override parts of the options given in an alias by overriding it.
-   For example, if you run ``lastlog -r-5..``, you will only get five
-   line-based log entries instead of 10.
+ * You can override a portion of the options given in an alias by
+   specifying the new part on the command-line.  For example, if
+   you run ``lastlog -r-5..``, you will only get five line-based log
+   entries instead of 10.  Note that all boolean options have an
+   implicit inverse, so you can override the commit alias with
+   ``commit --no-strict``.
+
  * Aliases can override the standard behaviour of existing commands by giving
    an alias name that is the same as the orignal command. For example, default
    commit is changed with ``commit=commit --strict``.

